Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx
Class JMXExposing

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehaviorFactory
          org.picocontainer.gems.jmx.JMXExposing

All Implemented Interfaces:
  Serializable, org.picocontainer.BehaviorFactory, org.picocontainer.ComponentFactory

    public class JMXExposing

extends org.picocontainer.behaviors.AbstractBehaviorFactory

`ComponentFactory` that instantiates `JMXExposed` instances.

Author:
  Jörg Schaible
See Also:
  Serialized Form

Constructor Summary
`JMXExposing()` Constructs a JMXExposingComponentFactory that uses the system default MBean Server.
`JMXExposing(MBeanServer mBeanServer)` Construct a JMXExposingComponentFactory.
`JMXExposing(MBeanServer mBeanServer, DynamicMBeanProvider[] providers)` Construct a JMXExposingComponentFactory.

Method Summary
`
`<T> org.picocontainer.ComponentAdapter<T>`
` | `addComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, Properties componentProperties, org.picocontainer.ComponentAdapter<T> adapter)`
`
`<T> org.picocontainer.ComponentAdapter<T>`
` | `createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, org.picocontainer.Parameter... parameters)` Retrieve a `ComponentAdapter`.

Methods inherited from class org.picocontainer.behaviors.AbstractBehaviorFactory
`accept, arePropertiesPresent, getAndRemovePropertiesIfPresentByKey, mergeProperties, removePropertiesIfPresent, verify, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXExposing

    public JMXExposing()

  Constructs a JMXExposingComponentFactory that uses the system default MBean Server.

  Since:
    PicoContainer-Gems 2.4

### JMXExposing

    public JMXExposing(MBeanServer mBeanServer,
                       DynamicMBeanProvider[] providers)
                throws NullPointerException

  Construct a JMXExposingComponentFactory.

  Parameters:
    `mBeanServer` - The `MBeanServer` used for registering the MBean.
    `providers` - An array with providers for converting the component instance into a `DynamicMBean`.
  Throws:
    `NullPointerException` - Thrown if the `MBeanServer` or the array with the `DynamicMBeanProvider` instances is null.

### JMXExposing

    public JMXExposing(MBeanServer mBeanServer)
                throws NullPointerException

  Construct a JMXExposingComponentFactory. This instance uses a `DynamicMBeanComponentProvider` as default to register any component instance in the `MBeanServer`, that is already a `DynamicMBean`.

  Parameters:
    `mBeanServer` - The `MBeanServer` used for registering the MBean.
  Throws:
    `NullPointerException` - Thrown if the `MBeanServer` or the array with the `DynamicMBeanProvider` instances is null.

Method Detail

### createComponentAdapter

    public <T> org.picocontainer.ComponentAdapter<T> createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor,
                                                                            org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                            Properties componentProperties,
                                                                            Object componentKey,
                                                                            Class<T> componentImplementation,
                                                                            org.picocontainer.Parameter... parameters)
                                                                 throws org.picocontainer.PicoCompositionException

  Retrieve a `ComponentAdapter`. Wrap the instance retrieved by the delegate with an instance of a `JMXExposed`.

  Specified by:
    `createComponentAdapter` in interface `org.picocontainer.ComponentFactory`
  Overrides:
    `createComponentAdapter` in class `org.picocontainer.behaviors.AbstractBehaviorFactory`
  Throws:
    `org.picocontainer.PicoCompositionException`
  See Also:
    `ComponentFactory.createComponentAdapter(ComponentMonitor,LifecycleStrategy,Properties,Object,Class,Parameter...)`

### addComponentAdapter

    public <T> org.picocontainer.ComponentAdapter<T> addComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor,
                                                                         org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                         Properties componentProperties,
                                                                         org.picocontainer.ComponentAdapter<T> adapter)

  Specified by:
    `addComponentAdapter` in interface `org.picocontainer.BehaviorFactory`
  Overrides:
    `addComponentAdapter` in class `org.picocontainer.behaviors.AbstractBehaviorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.